Subject: Re: proposed changes to RFC2614

From: James Kempf <[email-masked]>
Date: Wed, 28 Jun 2000 12:04:37 -0700

>
>Jim,
>
>Wouldn't it be easy for APIs to check for the following and return an 
>error without having to parse the whole query?
>
> c - Eliminate wild cards in queries. '(x=y*y)' would return a
>     NO_LONGER_SUPPORTED error from the API. [3.1.3]
>

This would be straightforward by simply looking for '*' presuming of course
we keep '*' as a reserved character.

> d - Eliminate attribute request by service type. Requests for incomplete
>     service URLs (ie. only a service type) returns a NO_LONGER_SUPPORTED
>     error from the API.  [3.2.1]
>    

This would be easy to check for.

> e - Eliminate support for wildcards in attribute list requests.
>     Return a NO_LONGER_SUPPORTED error from the API if this is 
>     requested. [3.2.2]
>

Same as for d.

> f - Eliminate support for wildcards in the tag list for selective
>     attribute deregistration.  Return a NO_LONGER_SUPPORTED error
>     from the API. [3.6.1]
>

Same as for d.

The only real problem comes with checking queries for the limitations.

		jak

>> It depends on how big you want the code in the UA to be. For the UA to
>> check whether a query was restricted to the rules in the bis draft,
>> it would have to peform full parsing of the query. What's the point
>> of now requiring the UA and the SA and DA to perform the parsing?
>> 
>> 		jak
>> >
>> >> Also, I don't think we could have the API return this for stuff like
>> >> queries unless it was a return code for the protocol as well. Otherwise,
>> >> the API would have to parse queries to find out if they were OK.
>> >> 
>> >
>> >Is it better to issue bogus queries to the network and rely on answers
>> >from various remote devices or to do parameter checking?
>
>Erik 
>---------------------------------------------------------------
> Public words and deeds have their own weight and significance 
> quite apart from private motives or secret calculation.
>   - Timothy Garton Ash
>